import { FastifyReply } from "fastify";
import Presenter from "../usecases/presenter";

export default class FastifyPresenter<T> implements Presenter<T> {
  constructor(private readonly res: FastifyReply) {}

  show(result: T): void {
    this.res.status(200).send(result);
  }
}
